<?php
//
// +---------------------------------------------------------------------------+
// | IRC Chat Block (ircchat v1.0) for Geeklog                                 |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// +---------------------------------------------------------------------------+
// | This file provides the capability to embed and host an IRC chatroom       |
// | inside a Geeklog site.                                                    |
// |                                                                           |
// | CJB Management, Inc offers free IRC chatrooms without advertisement       |
// | banners to the general public through its websites (http://www.mircx.com  |
// | http://www.cjb.net).  They use JPilot's jIRC Java applet                  |
// | (http://www.jpilot.com) to provide basic access via a webpage. People     |
// | can also access these chatrooms using other IRC client software which     |
// | offer more feature rich options beyond what's in this block.              |
// +---------------------------------------------------------------------------+
// | IRC Server Host: CJB Management Inc                                       |
// | IRC Client s/w: jIRC, Copyright by JPilot                                 |
// | Integration and instructions by: DoYourDD (geek@doyourdd.com)             |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

/***************************************************************************/
/*  Set these configuration variables to meet your website's requirements  */
/***************************************************************************/

// if you move the ircchat block be sure to reset the path to lib-common.php here
require_once('../lib-common.php');

// 1 = only registered users allowed, 0 = anonymous can also use the chatroom 
$chatloginrequired = 0; 

// insert the channel name which you set up (see readme file)
$channel = 'demochat';

// default name for an anonymous person when he first enters the chatroom
// the IRC server will probably prompt him to change this
$defaultnickname = 'Guest';

// chatroom dimensions for page display
$chatroomheight = '350';
$chatroomwidth = '100%';

// set window and title colors, acceptable values: white, black, blue, gray, 
// lightGray, yellow, green, orange, pink OR an RGB value. ie. xxx,xxx,xxx 
// where xxx is some numeric number (e.g. 250,250,235)
$windowcolor = 'white';
$titlecolor = 'lightGray';

// when set to false, the applet will not play an audio file when there is a sound request.
$allowsound = 'true';

// when set to true, the applet will open a new browser window when it receives a URL request. (using the /showurl command) 
$allowurl = 'true';

// when set to true, the applet will bypass the config screen and connect directly to IRC and right into the chatroom
$directstart = 'true';

// when set to false, user has no connect button to press. use this only with $directstart. 
$displayconnectbutton = 'true';

// when set to true, the nickname is displayed on config screen
$displayconfignick = 'true';

// when set to false, the checkbox of playing an audio file is hidden from the chat screen
$displaysoundcontrol = 'true';


/************************************************************************/
/*  You should not need to change any of these configuration variables  */
/************************************************************************/

// this is CJB's IRC server, do not change this
$server = 'jirc.mircx.com';

// server port used by CJB, do not change this unless they do
// default port is usually 6667 but they're directing people over to 8080
$port = '8080';

$displayconfigchannel = 'false';  // display channel field on config screen
$displaychannelpassconfig = 'false';  // display channel password field on config screen
$displayconfigmisc = 'false';  // display URL and ident boxes on config screen
$displayconfignickpass = 'false';  // display nickname password on config screen
$displayconfigport = 'false';  // display port on config screen
$displayconfigrealname = 'false';  // display real name on config screen
$displayconfigserver = 'false';  // display server field on config screen
$displayconfigserverpass = 'false';  // display server password filed on config screen
$ignorechannelchangemsg = 'true';  // ignore all the join/part/leave messages 
$ignoremodemsg = 'false';  // ignore all channel or user mode changes
$ignoremotd = 'true';  // ignore message of the day
$ignoreservermsg = 'true';  // ignore misc messages from the server
$noconfig = 'false';  // hide config button
$nos = 'true';  // netscape capabilities permission


/****************************************************************************/
/*  Please do not modify the code below unless you know what you are doing  */
/****************************************************************************/

// display error message if a login is required and the person has not done so
if ($chatloginrequired && ($_USER['uid'] <= 1)) {
    $display = COM_siteHeader();
    $display .= COM_startBlock($LANG_LOGIN[1]);
    $display .= '<div align="center"><strong>' . $LANG_LOGIN[2] . '</strong></div>';
    $display .= COM_endBlock();
    $display .= COM_siteFooter();
    echo $display;
    exit();
}

// set the person's chatroom nickname to their Geeklog alias
// if the alias is taken, the server will prompt him to immediately change it
if ($_USER['uid'] >= 1) {
    $nickname = $_USER['username'];
}
// for anonymous users set the nickname initially to the default one
else {
    $nickname = "$defaultnickname";
}

// this long url here is the one to your CJB chatroom containing required settings
$chaturl = "http://www.mircx.com/cgi-bin/jirc.cgi?AllowSound=$allowsound&AllowURL=$allowurl&BorderHsp=0&BorderVsp=0&cabbase=jirc_mss.cab&Channel1=$channel&DisplayAbout=false&DirectStart=$directstart&DisplayConfigChannel=$displayconfigchannel&DisplayConfigChannelPass=$displaychannelpassconfig&DisplayConfigMisc=$displayconfigmisc&DisplayConfigNick=$displayconfignick&DisplayConfigNickPass=$displayconfignickpass&DisplayConfigPort= $displayconfigport&DisplayConfigRealName=$displayconfigrealname&DisplayConfigServer=$displayconfigserver&DisplayConfigServerPass=$displayconfigserverpass&DisplayConnectButton=$displayconnectbutton&DisplaySoundControl=$displaysoundcontrol&IgnoreChannelChangeMsg=$ignorechannelchangemsg&IgnoreModeMsg=$ignoremodemsg&IgnoreMOTD=$ignoremotd&IgnoreServerMsg=$ignoreservermsg&NickName=$nickname&NoConfig=$noconfig&NOS=$nos&ServerName1=$server&ServerPort=$port&TextScreenColor=$windowcolor&TitleBackgroundColor=$titlecolor";

// wrap the chatroom inside Geeklog's headers and footers
$display = COM_siteHeader();
$display .= COM_startBlock('IRC Chatroom');
$display .= $error;
$display .= '<iframe src="'.$chaturl.'" border="0" frameborder="0" height="'.$chatroomheight.'" width="'.$chatroomwidth.'" scrolling="no"></iframe>';
$display .= COM_endBlock();
$display .= COM_siteFooter();

// now display everything
echo($display);
?>